<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Observation extends Model
{
    use HasFactory;

    protected $fillable = ['observation','dossier_id','user_id','for_rapport'];


    public function dossier(){

        return $this->belongsTo(Dossier::class)->withTrashed();
    }

    public function user(){

        return $this->belongsTo(User::class)->withTrashed();
    }



}
